module ApiBackend
  class TokensController < ApiController
    skip_before_action :authenticate, only: [:create]

    def create
      @user = find_user_by_email(params[:email])
      authenticate_user ? render : render_unauthorized
    end

    private

    def find_user_by_email(email)
      raise "Please impliment 'find_user_by_email(email)' in your controller"
    end

    def authenticate_user
      @user && @user.authenticate(params[:password])
    end
  end
end