shared_examples 'a resource list' do
  let(:json_collection) { response_json[json_key_for(resource)] }

  before do
    resource
    api_get endpoint
  end

  it 'contains resources' do
    expect(json_collection).to have(1).item
  end

  it 'has the correct resource' do
    json_keys.each do |key|
      expect(json_collection.last[key.to_s]).to eq(resource.send(key))
    end
  end

  it 'returns a status 200' do
    expect(response.code.to_i).to be(200)
  end
end